بكسلات
GET https://snp.is/api/pixels/
curl --request GET \
--url 'https://snp.is/api/pixels/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://snp.is/api/pixels/' \
--header 'Authorization: Bearer {api_key}' \
| المعلمات | تفاصيل | الوصف |
|---|---|---|
| search | اختياري نص | سلسلة البحث. |
| search_by | اختياري نص | ما هو الحقل الذي تبحث فيه. القيم المسموح بها هي: name, pixel. |
| type | اختياري نص | القيم المسموح بها: facebook, google_analytics, google_tag_manager, linkedin, pinterest, twitter, quora, tiktok, snapchat |
| datetime_field | اختياري نص | القيم المسموح بها: datetime, last_datetime |
| datetime_start | اختياري نص | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | اختياري نص | Filter results up to this datetime. Y-m-d H:i:s format. |
| order_by | اختياري نص | المجال لترتيب النتائج حسبه. القيم المسموح بها هي: pixel_id, datetime, last_datetime, name. |
| order_type | اختياري نص | ترتيب النتائج. القيم المسموح بها هي: ASC للترتيب التصاعدي، و DESC للترتيب التنازلي. |
| page | اختياري عدد صحيح | رقم الصفحة التي تريد النتائج منها. القيمة الافتراضية هي 1. |
| results_per_page | اختياري عدد صحيح | كم عدد النتائج التي تريدها في الصفحة. القيم المسموح بها هي: 10, 25, 50, 100, 250, 500, 1000. القيم الافتراضية هي 25. |
{
"data": [
{
"id": 1,
"user_id": 1,
"type": "Example",
"name": "Example",
"pixel": "Example",
"last_datetime": null,
"datetime": "2026-09-15 11:19:36"
}
],
"meta": {
"page": 1,
"total_pages": 1,
"results_per_page": 25,
"total_results": 1
},
"links": {
"first": "https://snp.is/api/pixels?page=1",
"last": "https://snp.is/api/pixels?page=1",
"next": null,
"prev": null,
"self": "https://snp.is/api/pixels?page=1"
}
}
GET https://snp.is/api/pixels/{pixel_id}
curl --request GET \
--url 'https://snp.is/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://snp.is/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"user_id": 1,
"type": "Example",
"name": "Example",
"pixel": "Example",
"last_datetime": null,
"datetime": "2026-09-15 11:19:36"
}
}
POST https://snp.is/api/pixels
| المعلمات | تفاصيل | الوصف |
|---|---|---|
| type | مطلوب نص | القيم المسموح بها: facebook, google_analytics, google_tag_manager, linkedin, pinterest, twitter, quora, tiktok, snapchat |
| name | مطلوب نص | - |
| pixel | مطلوب نص | - |
curl --request POST \
--url 'https://snp.is/api/pixels' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'type=facebook' \
--form 'name=Facebook' \
--form 'pixel=12345678' \
--url 'https://snp.is/api/pixels' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'type=facebook' \
--form 'name=Facebook' \
--form 'pixel=12345678' \
{
"data": {
"id": 1,
"user_id": 1,
"type": "Example",
"name": "Example",
"pixel": "Example",
"last_datetime": null,
"datetime": "2026-09-15 11:19:36"
}
}
POST https://snp.is/api/pixels/{pixel_id}
| المعلمات | تفاصيل | الوصف |
|---|---|---|
| type | اختياري نص | القيم المسموح بها: facebook, google_analytics, google_tag_manager, linkedin, pinterest, twitter, quora, tiktok, snapchat |
| name | اختياري نص | - |
| pixel | اختياري نص | - |
curl --request POST \
--url 'https://snp.is/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Facebook New Name' \
--url 'https://snp.is/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Facebook New Name' \
{
"data": {
"id": 1,
"user_id": 1,
"type": "Example",
"name": "Example",
"pixel": "Example",
"last_datetime": null,
"datetime": "2026-09-15 11:19:36"
}
}
DELETE https://snp.is/api/pixels/{pixel_id}
curl --request DELETE \
--url 'https://snp.is/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://snp.is/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \